package types

type Hades struct {
	App struct {
		NameSpace interface{} `yaml:"name space"`
		Name      interface{} `yaml:"name"`
	} `yaml:"app"`
	API   interface{} `yaml:"api"`
	Types []struct {
		Name string `yaml:"name"`
	} `yaml:"types"`
	Services []struct {
		Name     string `yaml:"name"`
		Request  string `yaml:"request"`
		Response string `yaml:"response"`
	} `yaml:"services"`
	Server []struct {
		Endpoints []struct {
			Name        string `yaml:"name"`
			URL         string `yaml:"url"`
			Request     string `yaml:"request"`
			Response    string `yaml:"response"`
			Summary     string `yaml:"summary"`
			Description string `yaml:"description"`
			Handler     string `yaml:"handler"`
		} `yaml:"endpoints"`
	} `yaml:"server"`
}
